Bug 1903165 - Improve Canary Status Condition handling for e2e tests
Summary: Improve Canary Status Condition handling for e2e tests
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Routing
Version: 4.7
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.7.0
Assignee: Stephen Greene
QA Contact: Hongan Li
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-12-01 14:29 UTC by Stephen Greene
Modified: 2021-02-24 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-24 15:36:34 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-ingress-operator pull 501 0 None closed Bug 1903165: NE-199 Follow Up Fixes. 2021-01-19 08:56:17 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:37:05 UTC

Description Stephen Greene 2020-12-01 14:29:43 UTC
See https://github.com/openshift/cluster-ingress-operator/pull/493/files#r533010135.

Once #493 merges, follow up with Miciah's suggestion to simplify the canary status condition checks for the default ingress controller. The current approach works, but is slightly hacky and not ideal, and may be bug prone.

Comment 1 Stephen Greene 2020-12-03 14:54:50 UTC
Working on this. Should have fix in soon.

Comment 4 Hongan Li 2020-12-14 09:49:51 UTC
moving to verified and didn't see issues in e2e tests.

Comment 7 errata-xmlrpc 2021-02-24 15:36:34 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.